#!/bin/bash
set -e

dir="/home/"
if [ $1 == "oobe" ]; then
	#user=`w -h | cut -d' ' -f1 | sort | uniq | head -n1`
	#echo $user
	for file in $(ls "$dir"); do
		if [[ -d "$dir$file" ]]; then
			cd /home/$file
			if [ -d "./.cache" ]; then
				if [ -d "./.cache.bak" ]; then
					rm -r .cache.bak
				fi
				mv .cache .cache.bak
			fi
			if [ -d "./.cdos" ]; then
				if [ -d "./.cdos.bak" ]; then
					rm -r .cdos.bak
				fi
				mv .cdos .cdos.bak
			fi
			if [ -d "./.config" ]; then
				if [ -d "./.config.bak" ]; then
					rm -r .config.bak
				fi
				mv .config .config.bak
			fi
			if [ -d "./.local" ]; then
				if [ -d "./.local.bak" ]; then
					rm -r .local.bak
				fi
				mv .local .local.bak
			fi
		fi
	done
elif [ $1 == "recover" ]; then
	for file in $(ls "$dir"); do
		if [[ -d "$dir$file" ]]; then
			cd $dir$file
			echo $dir$file
			if [ -d "./.cache" ]; then
				if [ -d "./.cache.bak" ]; then
					rm -r .cache.bak
				fi
				mv .cache .cache.bak
			fi
			if [ -d "./.cdos" ]; then
				if [ -d "./.cdos.bak" ]; then
					rm -r .cdos.bak
				fi
				mv .cdos .cdos.bak
			fi
			if [ -d "./.config" ]; then
				if [ -d "./.config.bak" ]; then
					rm -r .config.bak
				fi
				mv .config .config.bak
			fi
			if [ -d "./.local" ]; then
				if [ -d "./.local.bak" ]; then
					rm -r .local.bak
				fi
				mv .local .local.bak
			fi
		fi
	done
fi
